package gnu.bytecode;
/* loaded from: classes.dex */
public class RuntimeAnnotationsAttr extends MiscAttr {
    int numEntries;

    public RuntimeAnnotationsAttr(String name, byte[] data, AttrContainer container) {
        super(name, data, 0, data.length);
        addToFrontOf(container);
        this.numEntries = u2(0);
    }

    @Override // gnu.bytecode.MiscAttr, gnu.bytecode.Attribute
    public void print(ClassTypeWriter dst) {
        dst.print("Attribute \"");
        dst.print(getName());
        dst.print("\", length:");
        dst.print(getLength());
        dst.print(", number of entries: ");
        dst.println(this.numEntries);
        int saveOffset = this.offset;
        this.offset = saveOffset + 2;
        for (int i = 0; i < this.numEntries; i++) {
            printAnnotation(2, dst);
        }
        this.offset = saveOffset;
    }

    public void printAnnotation(int indentation, ClassTypeWriter dst) {
        int type_index = u2();
        dst.printSpaces(indentation);
        dst.printOptionalIndex(type_index);
        dst.print('@');
        dst.printContantUtf8AsClass(type_index);
        int num_element_value_pairs = u2();
        dst.println();
        int indentation2 = indentation + 2;
        for (int i = 0; i < num_element_value_pairs; i++) {
            int element_name_index = u2();
            dst.printSpaces(indentation2);
            dst.printOptionalIndex(element_name_index);
            dst.printConstantTersely(element_name_index, 1);
            dst.print(" => ");
            printAnnotationElementValue(indentation2, dst);
            dst.println();
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Removed duplicated region for block: B:17:0x002f  */
    /* JADX WARN: Removed duplicated region for block: B:19:0x0032  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x0035  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void printAnnotationElementValue(int indentation, ClassTypeWriter dst) {
        int tag = u1();
        if ((dst.flags & 8) != 0) {
            dst.print("[kind:");
            if (tag >= 65 && tag <= 122) {
                dst.print((char) tag);
            } else {
                dst.print(tag);
            }
            dst.print("] ");
        }
        int expected = 0;
        switch (tag) {
            case 64:
                dst.println();
                dst.printSpaces(indentation + 2);
                printAnnotation(indentation + 2, dst);
                return;
            case 66:
            case 67:
            case 73:
            case 83:
            case 90:
                if (0 == 0) {
                    expected = 3;
                }
                if (expected == 0) {
                    expected = 5;
                }
                if (expected == 0) {
                    expected = 6;
                }
                if (expected == 0) {
                    expected = 4;
                    break;
                }
                break;
            case 68:
                if (expected == 0) {
                }
                if (expected == 0) {
                }
                break;
            case 70:
                if (expected == 0) {
                }
                break;
            case 74:
                if (expected == 0) {
                }
                if (expected == 0) {
                }
                if (expected == 0) {
                }
                break;
            case 91:
                int num_values = u2();
                dst.print("array length:");
                dst.print(num_values);
                for (int i = 0; i < num_values; i++) {
                    dst.println();
                    dst.printSpaces(indentation + 2);
                    dst.print(i);
                    dst.print(": ");
                    printAnnotationElementValue(indentation + 2, dst);
                }
                return;
            case 99:
                int class_info_index = u2();
                dst.printOptionalIndex(class_info_index);
                dst.printContantUtf8AsClass(class_info_index);
                return;
            case 101:
                int type_name_index = u2();
                int const_name_index = u2();
                dst.print("enum[");
                if ((dst.flags & 8) != 0) {
                    dst.print("type:");
                }
                dst.printOptionalIndex(type_name_index);
                dst.printContantUtf8AsClass(type_name_index);
                if ((dst.flags & 8) != 0) {
                    dst.print(" value:");
                } else {
                    dst.print(' ');
                }
                dst.printOptionalIndex(const_name_index);
                dst.printConstantTersely(const_name_index, 1);
                dst.print("]");
                return;
            case 115:
                break;
            default:
                return;
        }
        if (expected == 0) {
            expected = 1;
        }
        int const_value_index = u2();
        CpoolEntry entry = dst.getCpoolEntry(const_value_index);
        dst.printOptionalIndex(entry);
        if (tag == 90 && entry != null && entry.getTag() == 3) {
            CpoolValue1 cint = (CpoolValue1) entry;
            if (cint.value == 0 || cint.value == 1) {
                dst.print(cint.value == 0 ? "false" : "true");
                return;
            }
        }
        dst.printConstantTersely(const_value_index, expected);
    }
}
