package gnu.kawa.functions;

import android.support.v4.media.TransportMediator;
import gnu.bytecode.Access;
import gnu.lists.Pair;
import gnu.lists.Sequence;
import gnu.math.IntNum;
import gnu.text.CaseConvertFormat;
import gnu.text.Char;
import gnu.text.CompoundFormat;
import gnu.text.FlushFormat;
import gnu.text.LiteralFormat;
import gnu.text.ReportFormat;
import java.text.ParseException;
import java.util.Stack;
import java.util.Vector;
/* loaded from: classes.dex */
public class LispFormat extends CompoundFormat {
    public static final String paramFromCount = "<from count>";
    public static final String paramFromList = "<from list>";
    public static final String paramUnspecified = "<unspecified>";

    /* JADX WARN: Code restructure failed: missing block: B:131:0x0344, code lost:
        throw new java.text.ParseException("saw ~) without matching ~(", r29);
     */
    /* JADX WARN: Code restructure failed: missing block: B:139:0x03d2, code lost:
        throw new java.text.ParseException("saw ~} without matching ~{", r29);
     */
    /* JADX WARN: Code restructure failed: missing block: B:153:0x0466, code lost:
        throw new java.text.ParseException("saw ~> without matching ~<", r29);
     */
    /* JADX WARN: Code restructure failed: missing block: B:204:0x0618, code lost:
        throw new java.text.ParseException("saw ~] without matching ~[", r29);
     */
    /* JADX WARN: Removed duplicated region for block: B:242:0x074e  */
    /* JADX WARN: Removed duplicated region for block: B:245:0x075e  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public LispFormat(char[] format, int offset, int length) throws ParseException {
        super(null, 0);
        int i;
        IntNum valueOf;
        int i2;
        java.text.Format fmt;
        int kind;
        int base;
        char ch;
        int start_nesting = -1;
        int choices_seen = 0;
        StringBuffer litbuf = new StringBuffer(100);
        Stack stack = new Stack();
        int limit = offset + length;
        int i3 = offset;
        while (true) {
            if ((i3 >= limit || format[i3] == '~') && litbuf.length() > 0) {
                stack.push(new LiteralFormat(litbuf));
                litbuf.setLength(0);
            }
            if (i3 < limit) {
                int i4 = i3 + 1;
                char ch2 = format[i3];
                if (ch2 != '~') {
                    litbuf.append(ch2);
                    i3 = i4;
                } else {
                    int speci = stack.size();
                    int i5 = i4 + 1;
                    char ch3 = format[i4];
                    while (true) {
                        if (ch3 == '#') {
                            stack.push(paramFromCount);
                            ch3 = format[i5];
                            i5++;
                        } else if (ch3 == 'v' || ch3 == 'V') {
                            stack.push(paramFromList);
                            ch3 = format[i5];
                            i5++;
                        } else if (ch3 == '-' || Character.digit(ch3, 10) >= 0) {
                            boolean neg = ch3 == '-';
                            if (neg) {
                                i = i5 + 1;
                                ch3 = format[i5];
                            } else {
                                i = i5;
                            }
                            int val = 0;
                            int start = i;
                            while (true) {
                                int dig = Character.digit(ch3, 10);
                                if (dig >= 0) {
                                    val = (val * 10) + dig;
                                    ch3 = format[i];
                                    i++;
                                } else {
                                    if (i - start < 8) {
                                        valueOf = IntNum.make(neg ? -val : val);
                                    } else {
                                        valueOf = IntNum.valueOf(format, start, i - start, 10, neg);
                                    }
                                    stack.push(valueOf);
                                    i5 = i;
                                }
                            }
                        } else if (ch3 == '\'') {
                            int i6 = i5 + 1;
                            stack.push(Char.make(format[i5]));
                            i5 = i6 + 1;
                            ch3 = format[i6];
                        } else if (ch3 == ',') {
                            stack.push(paramUnspecified);
                        } else {
                            i2 = i5;
                        }
                        if (ch3 != ',') {
                            i2 = i5;
                        } else {
                            ch3 = format[i5];
                            i5++;
                        }
                    }
                    boolean seenColon = false;
                    boolean seenAt = false;
                    while (true) {
                        i3 = i2;
                        if (ch3 == ':') {
                            seenColon = true;
                        } else if (ch3 == '@') {
                            seenAt = true;
                        } else {
                            char ch4 = Character.toUpperCase(ch3);
                            int numParams = stack.size() - speci;
                            switch (ch4) {
                                case '\n':
                                    if (seenAt) {
                                        litbuf.append(ch4);
                                    }
                                    if (seenColon) {
                                        break;
                                    } else {
                                        while (true) {
                                            if (i3 < limit) {
                                                int i7 = i3 + 1;
                                                if (!Character.isWhitespace(format[i3])) {
                                                    i3 = i7 - 1;
                                                    break;
                                                } else {
                                                    i3 = i7;
                                                }
                                            }
                                        }
                                    }
                                    break;
                                case '!':
                                    fmt = FlushFormat.getInstance();
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '$':
                                case 'E':
                                case 'F':
                                case 'G':
                                    LispRealFormat dfmt = new LispRealFormat();
                                    dfmt.op = ch4;
                                    dfmt.arg1 = getParam((Vector) stack, speci);
                                    dfmt.arg2 = getParam((Vector) stack, speci + 1);
                                    dfmt.arg3 = getParam((Vector) stack, speci + 2);
                                    dfmt.arg4 = getParam((Vector) stack, speci + 3);
                                    if (ch4 != '$') {
                                        dfmt.arg5 = getParam((Vector) stack, speci + 4);
                                        if (ch4 == 'E' || ch4 == 'G') {
                                            dfmt.arg6 = getParam((Vector) stack, speci + 5);
                                            dfmt.arg7 = getParam((Vector) stack, speci + 6);
                                        }
                                    }
                                    dfmt.showPlus = seenAt;
                                    dfmt.internalPad = seenColon;
                                    if (dfmt.argsUsed == 0) {
                                        fmt = dfmt.resolve(null, 0);
                                    } else {
                                        fmt = dfmt;
                                    }
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '%':
                                    int count = getParam((Vector) stack, speci);
                                    fmt = LispNewlineFormat.getInstance(count == -1073741824 ? 1 : count, 76);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '&':
                                    fmt = new LispFreshlineFormat(getParam((Vector) stack, speci));
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '(':
                                    if (seenColon) {
                                        ch = seenAt ? 'U' : Access.CLASS_CONTEXT;
                                    } else {
                                        ch = seenAt ? 'T' : 'L';
                                    }
                                    CaseConvertFormat cfmt = new CaseConvertFormat(null, ch);
                                    stack.setSize(speci);
                                    stack.push(cfmt);
                                    stack.push(IntNum.make(start_nesting));
                                    start_nesting = speci;
                                    break;
                                case ')':
                                    if (start_nesting >= 0 && (stack.elementAt(start_nesting) instanceof CaseConvertFormat)) {
                                        CaseConvertFormat cfmt2 = (CaseConvertFormat) stack.elementAt(start_nesting);
                                        cfmt2.setBaseFormat(popFormats(stack, start_nesting + 2, speci));
                                        start_nesting = ((IntNum) stack.pop()).intValue();
                                        break;
                                    }
                                    break;
                                case '*':
                                    fmt = new LispRepositionFormat(getParam((Vector) stack, speci), seenColon, seenAt);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case ';':
                                    if (start_nesting >= 0) {
                                        if (stack.elementAt(start_nesting) instanceof LispChoiceFormat) {
                                            LispChoiceFormat afmt = (LispChoiceFormat) stack.elementAt(start_nesting);
                                            if (seenColon) {
                                                afmt.lastIsDefault = true;
                                            }
                                            java.text.Format fmt2 = popFormats(stack, start_nesting + 3 + choices_seen, speci);
                                            stack.push(fmt2);
                                            choices_seen++;
                                            break;
                                        } else if (!(stack.elementAt(start_nesting) instanceof LispPrettyFormat)) {
                                            break;
                                        } else {
                                            LispPrettyFormat pfmt = (LispPrettyFormat) stack.elementAt(start_nesting);
                                            if (seenAt) {
                                                pfmt.perLine = true;
                                            }
                                            java.text.Format fmt3 = popFormats(stack, start_nesting + 3 + choices_seen, speci);
                                            stack.push(fmt3);
                                            choices_seen++;
                                            break;
                                        }
                                    } else {
                                        break;
                                    }
                                case '<':
                                    LispPrettyFormat pfmt2 = new LispPrettyFormat();
                                    pfmt2.seenAt = seenAt;
                                    if (seenColon) {
                                        pfmt2.prefix = "(";
                                        pfmt2.suffix = ")";
                                    } else {
                                        pfmt2.prefix = "";
                                        pfmt2.suffix = "";
                                    }
                                    stack.setSize(speci);
                                    stack.push(pfmt2);
                                    stack.push(IntNum.make(start_nesting));
                                    stack.push(IntNum.make(choices_seen));
                                    start_nesting = speci;
                                    choices_seen = 0;
                                    break;
                                case '>':
                                    if (start_nesting >= 0 && (stack.elementAt(start_nesting) instanceof LispPrettyFormat)) {
                                        java.text.Format fmt4 = popFormats(stack, start_nesting + 3 + choices_seen, speci);
                                        stack.push(fmt4);
                                        LispPrettyFormat pfmt3 = (LispPrettyFormat) stack.elementAt(start_nesting);
                                        pfmt3.segments = getFormats(stack, start_nesting + 3, stack.size());
                                        stack.setSize(start_nesting + 3);
                                        ((IntNum) stack.pop()).intValue();
                                        start_nesting = ((IntNum) stack.pop()).intValue();
                                        if (seenColon) {
                                            int nsegments = pfmt3.segments.length;
                                            if (nsegments > 3) {
                                                throw new ParseException("too many segments in Logical Block format", i3);
                                            }
                                            if (nsegments >= 2) {
                                                if (!(pfmt3.segments[0] instanceof LiteralFormat)) {
                                                    throw new ParseException("prefix segment is not literal", i3);
                                                }
                                                pfmt3.prefix = ((LiteralFormat) pfmt3.segments[0]).content();
                                                pfmt3.body = pfmt3.segments[1];
                                            } else {
                                                pfmt3.body = pfmt3.segments[0];
                                            }
                                            if (nsegments >= 3) {
                                                if (!(pfmt3.segments[2] instanceof LiteralFormat)) {
                                                    throw new ParseException("suffix segment is not literal", i3);
                                                }
                                                pfmt3.suffix = ((LiteralFormat) pfmt3.segments[2]).content();
                                                break;
                                            } else {
                                                continue;
                                            }
                                        } else {
                                            throw new ParseException("not implemented: justfication i.e. ~<...~>", i3);
                                        }
                                    }
                                    break;
                                case '?':
                                    LispIterationFormat lfmt = new LispIterationFormat();
                                    lfmt.seenAt = seenAt;
                                    lfmt.maxIterations = 1;
                                    lfmt.atLeastOnce = true;
                                    fmt = lfmt;
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'A':
                                case 'S':
                                case 'W':
                                case 'Y':
                                    java.text.Format fmt5 = ObjectFormat.getInstance(ch4 != 'A');
                                    if (numParams > 0) {
                                        int minWidth = getParam((Vector) stack, speci);
                                        int colInc = getParam((Vector) stack, speci + 1);
                                        int minPad = getParam((Vector) stack, speci + 2);
                                        int padChar = getParam((Vector) stack, speci + 3);
                                        fmt = new LispObjectFormat((ReportFormat) fmt5, minWidth, colInc, minPad, padChar, seenAt ? 0 : 100);
                                    } else {
                                        fmt = fmt5;
                                    }
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'B':
                                case 'D':
                                case 'O':
                                case 'R':
                                case 'X':
                                    int argstart = speci;
                                    if (ch4 == 'R') {
                                        base = getParam((Vector) stack, argstart);
                                        argstart++;
                                    } else if (ch4 == 'D') {
                                        base = 10;
                                    } else if (ch4 == 'O') {
                                        base = 8;
                                    } else {
                                        base = ch4 == 'X' ? 16 : 2;
                                    }
                                    int minWidth2 = getParam((Vector) stack, argstart);
                                    int padChar2 = getParam((Vector) stack, argstart + 1);
                                    int commaChar = getParam((Vector) stack, argstart + 2);
                                    int commaInterval = getParam((Vector) stack, argstart + 3);
                                    int flags = seenColon ? 0 | 1 : 0;
                                    fmt = IntegerFormat.getInstance(base, minWidth2, padChar2, commaChar, commaInterval, seenAt ? flags | 2 : flags);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'C':
                                    fmt = LispCharacterFormat.getInstance(numParams > 0 ? getParam((Vector) stack, speci) : -1610612736, 1, seenAt, seenColon);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'I':
                                    int param1 = getParam((Vector) stack, speci);
                                    fmt = LispIndentFormat.getInstance(param1 == -1073741824 ? 0 : param1, seenColon);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'P':
                                    fmt = LispPluralFormat.getInstance(seenColon, seenAt);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case 'T':
                                    int param12 = getParam((Vector) stack, speci);
                                    int param2 = getParam((Vector) stack, speci + 1);
                                    int param3 = getParam((Vector) stack, speci + 2);
                                    fmt = new LispTabulateFormat(param12, param2, param3, seenAt);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '[':
                                    LispChoiceFormat afmt2 = new LispChoiceFormat();
                                    afmt2.param = getParam((Vector) stack, speci);
                                    if (afmt2.param == -1073741824) {
                                        afmt2.param = -1610612736;
                                    }
                                    if (seenColon) {
                                        afmt2.testBoolean = true;
                                    }
                                    if (seenAt) {
                                        afmt2.skipIfFalse = true;
                                    }
                                    stack.setSize(speci);
                                    stack.push(afmt2);
                                    stack.push(IntNum.make(start_nesting));
                                    stack.push(IntNum.make(choices_seen));
                                    start_nesting = speci;
                                    choices_seen = 0;
                                    break;
                                case ']':
                                    if (start_nesting >= 0 && (stack.elementAt(start_nesting) instanceof LispChoiceFormat)) {
                                        java.text.Format fmt6 = popFormats(stack, start_nesting + 3 + choices_seen, speci);
                                        stack.push(fmt6);
                                        LispChoiceFormat afmt3 = (LispChoiceFormat) stack.elementAt(start_nesting);
                                        afmt3.choices = getFormats(stack, start_nesting + 3, stack.size());
                                        stack.setSize(start_nesting + 3);
                                        choices_seen = ((IntNum) stack.pop()).intValue();
                                        start_nesting = ((IntNum) stack.pop()).intValue();
                                        break;
                                    }
                                    break;
                                case '^':
                                    int param13 = getParam((Vector) stack, speci);
                                    int param22 = getParam((Vector) stack, speci + 1);
                                    int param32 = getParam((Vector) stack, speci + 2);
                                    fmt = new LispEscapeFormat(param13, param22, param32);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '_':
                                    int param14 = getParam((Vector) stack, speci);
                                    param14 = param14 == -1073741824 ? 1 : param14;
                                    if (!seenColon || !seenAt) {
                                    }
                                    if (seenAt && seenColon) {
                                        kind = 82;
                                    } else if (seenAt) {
                                        kind = 77;
                                    } else {
                                        kind = seenColon ? 70 : 78;
                                    }
                                    fmt = LispNewlineFormat.getInstance(param14, kind);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '{':
                                    LispIterationFormat lfmt2 = new LispIterationFormat();
                                    lfmt2.seenAt = seenAt;
                                    lfmt2.seenColon = seenColon;
                                    lfmt2.maxIterations = getParam((Vector) stack, speci);
                                    stack.setSize(speci);
                                    stack.push(lfmt2);
                                    stack.push(IntNum.make(start_nesting));
                                    start_nesting = speci;
                                    break;
                                case '|':
                                    int count2 = getParam((Vector) stack, speci);
                                    count2 = count2 == -1073741824 ? 1 : count2;
                                    int charVal = getParam((Vector) stack, speci + 1);
                                    fmt = LispCharacterFormat.getInstance(charVal == -1073741824 ? ch4 == '|' ? 12 : TransportMediator.KEYCODE_MEDIA_PLAY : charVal, count2, false, false);
                                    stack.setSize(speci);
                                    stack.push(fmt);
                                    break;
                                case '}':
                                    if (start_nesting >= 0 && (stack.elementAt(start_nesting) instanceof LispIterationFormat)) {
                                        LispIterationFormat lfmt3 = (LispIterationFormat) stack.elementAt(start_nesting);
                                        lfmt3.atLeastOnce = seenColon;
                                        if (speci > start_nesting + 2) {
                                            lfmt3.body = popFormats(stack, start_nesting + 2, speci);
                                        }
                                        start_nesting = ((IntNum) stack.pop()).intValue();
                                        break;
                                    }
                                    break;
                                case TransportMediator.KEYCODE_MEDIA_PLAY /* 126 */:
                                    if (numParams == 0) {
                                        litbuf.append(ch4);
                                        break;
                                    } else {
                                        int count22 = getParam((Vector) stack, speci);
                                        if (count22 == -1073741824) {
                                        }
                                        int charVal2 = getParam((Vector) stack, speci + 1);
                                        fmt = LispCharacterFormat.getInstance(charVal2 == -1073741824 ? ch4 == '|' ? 12 : TransportMediator.KEYCODE_MEDIA_PLAY : charVal2, count22, false, false);
                                        stack.setSize(speci);
                                        stack.push(fmt);
                                        break;
                                    }
                                    break;
                                default:
                                    throw new ParseException("unrecognized format specifier ~" + ch4, i3);
                            }
                        }
                        i2 = i3 + 1;
                        ch3 = format[i3];
                    }
                }
            } else if (i3 > limit) {
                throw new IndexOutOfBoundsException();
            } else {
                if (start_nesting >= 0) {
                    throw new ParseException("missing ~] or ~}", i3);
                }
                this.length = stack.size();
                this.formats = new java.text.Format[this.length];
                stack.copyInto(this.formats);
                return;
            }
        }
        throw new ParseException("saw ~; without matching ~[ or ~<", i3);
    }

    static java.text.Format[] getFormats(Vector vector, int start, int end) {
        java.text.Format[] f = new java.text.Format[end - start];
        for (int i = start; i < end; i++) {
            f[i - start] = (java.text.Format) vector.elementAt(i);
        }
        return f;
    }

    static java.text.Format popFormats(Vector vector, int start, int end) {
        java.text.Format f;
        if (end == start + 1) {
            f = (java.text.Format) vector.elementAt(start);
        } else {
            f = new CompoundFormat(getFormats(vector, start, end));
        }
        vector.setSize(start);
        return f;
    }

    public LispFormat(String str) throws ParseException {
        this(str.toCharArray());
    }

    public LispFormat(char[] format) throws ParseException {
        this(format, 0, format.length);
    }

    public static int getParam(Vector vec, int index) {
        if (index >= vec.size()) {
            return -1073741824;
        }
        Object arg = vec.elementAt(index);
        if (arg == paramFromList) {
            return -1610612736;
        }
        if (arg == paramFromCount) {
            return ReportFormat.PARAM_FROM_COUNT;
        }
        if (arg != paramUnspecified) {
            return getParam(arg, -1073741824);
        }
        return -1073741824;
    }

    public static Object[] asArray(Object arg) {
        if (arg instanceof Object[]) {
            return (Object[]) arg;
        }
        if (arg instanceof Sequence) {
            int count = ((Sequence) arg).size();
            Object[] arr = new Object[count];
            int i = 0;
            while (arg instanceof Pair) {
                Pair pair = (Pair) arg;
                arr[i] = pair.getCar();
                arg = pair.getCdr();
                i++;
            }
            if (i < count) {
                if (!(arg instanceof Sequence)) {
                    return null;
                }
                int npairs = i;
                Sequence seq = (Sequence) arg;
                while (i < count) {
                    arr[i] = seq.get(npairs + i);
                    i++;
                }
            }
            return arr;
        }
        return null;
    }
}
