package gnu.kawa.lispexpr;

import gnu.mapping.InPort;
import gnu.text.Lexer;
import gnu.text.LineBufferedReader;
import gnu.text.SyntaxException;
import java.io.IOException;
/* loaded from: classes.dex */
public class ReaderString extends ReadTableEntry {
    @Override // gnu.kawa.lispexpr.ReadTableEntry
    public Object read(Lexer in, int ch, int count) throws IOException, SyntaxException {
        return readString(in, ch, count);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:22:0x005c A[Catch: all -> 0x0065, TryCatch #0 {all -> 0x0065, blocks: (B:7:0x001e, B:10:0x0026, B:20:0x0057, B:22:0x005c, B:23:0x0061, B:30:0x0071, B:33:0x0079, B:35:0x0082, B:37:0x0086, B:41:0x0094, B:15:0x003f, B:18:0x0047, B:19:0x0052), top: B:43:0x001e }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String readString(Lexer in, int ch, int count) throws IOException, SyntaxException {
        int t;
        int startPos = in.tokenBufferLength;
        LineBufferedReader port = in.getPort();
        char saveReadState = 0;
        char c = ch;
        if (port instanceof InPort) {
            saveReadState = ((InPort) port).readState;
            ((InPort) port).readState = (char) ch;
        }
        while (true) {
            int prev = c;
            if (prev == 13) {
                try {
                    c = port.read();
                    if (c == 10) {
                        continue;
                    }
                } finally {
                    in.tokenBufferLength = startPos;
                    if (port instanceof InPort) {
                        ((InPort) port).readState = saveReadState;
                    }
                }
            } else if (port.pos < port.limit && prev != 10) {
                char[] cArr = port.buffer;
                int i = port.pos;
                port.pos = i + 1;
                c = cArr[i];
            } else {
                c = port.read();
            }
            if (c != ch) {
                switch (c) {
                    case 13:
                        if (port.getConvertCR()) {
                            t = 10;
                        } else {
                            t = 13;
                            c = 32;
                        }
                        in.tokenBufferAppend(t);
                        break;
                    case 92:
                        if (in instanceof LispReader) {
                            c = ((LispReader) in).readEscape();
                        } else {
                            c = port.read();
                        }
                        if (c == -2) {
                            c = 10;
                            break;
                        } else {
                            if (c < 0) {
                                in.eofError("unexpected EOF in string literal");
                            }
                            in.tokenBufferAppend(c);
                            break;
                        }
                    default:
                        if (c < 0) {
                        }
                        in.tokenBufferAppend(c);
                        break;
                }
            } else {
                return new String(in.tokenBuffer, startPos, in.tokenBufferLength - startPos).intern();
            }
        }
    }
}
