package kawa.lang;

import gnu.bytecode.ClassType;
import gnu.bytecode.Method;
import gnu.expr.ApplyExp;
import gnu.expr.Compilation;
import gnu.expr.Expression;
import gnu.expr.QuoteExp;
import gnu.expr.ReferenceExp;
import gnu.kawa.functions.CompileNamedPart;
import gnu.kawa.lispexpr.LispLanguage;
import gnu.lists.FVector;
import gnu.lists.LList;
import gnu.lists.Pair;
import gnu.mapping.Namespace;
import gnu.mapping.Symbol;
import java.util.IdentityHashMap;
import java.util.Vector;
/* loaded from: classes.dex */
public class Quote extends Syntax {
    protected static final int QUOTE_DEPTH = -1;
    protected boolean isQuasi;
    public static final Quote plainQuote = new Quote(LispLanguage.quote_sym, false);
    public static final Quote quasiQuote = new Quote(LispLanguage.quasiquote_sym, true);
    private static final Object WORKING = new String("(working)");
    private static final Object CYCLE = new String("(cycle)");
    static final Method vectorAppendMethod = ClassType.make("kawa.standard.vector_append").getDeclaredMethod("apply$V", 1);
    static final ClassType quoteType = ClassType.make("kawa.lang.Quote");
    static final Method consXMethod = quoteType.getDeclaredMethod("consX$V", 1);
    static final Method appendMethod = quoteType.getDeclaredMethod("append$V", 1);
    static final Method makePairMethod = Compilation.typePair.getDeclaredMethod("make", 2);
    static final Method makeVectorMethod = ClassType.make("gnu.lists.FVector").getDeclaredMethod("make", 1);

    public Quote(String name, boolean isQuasi) {
        super(name);
        this.isQuasi = isQuasi;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Object expand(Object template, int depth, Translator tr) {
        IdentityHashMap seen = new IdentityHashMap();
        return expand(template, depth, null, seen, tr);
    }

    public static Object quote(Object obj, Translator tr) {
        return plainQuote.expand(obj, -1, tr);
    }

    public static Object quote(Object obj) {
        return plainQuote.expand(obj, -1, (Translator) Compilation.getCurrent());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Expression coerceExpression(Object val, Translator tr) {
        return val instanceof Expression ? (Expression) val : leaf(val, tr);
    }

    protected Expression leaf(Object val, Translator tr) {
        return new QuoteExp(val);
    }

    protected boolean expandColonForms() {
        return true;
    }

    public static Symbol makeSymbol(Namespace ns, Object local) {
        String name;
        if (local instanceof CharSequence) {
            name = ((CharSequence) local).toString();
        } else {
            name = (String) local;
        }
        return ns.getSymbol(name.intern());
    }

    /* JADX WARN: Code restructure failed: missing block: B:101:0x0336, code lost:
        if (r18 < r27.length) goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x0338, code lost:
        r0 = new gnu.lists.Pair[r18 * 2];
        java.lang.System.arraycopy(r27, 0, r0, 0, r18);
        r27 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:103:0x034b, code lost:
        r19 = r18 + 1;
        r27[r18] = r22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:104:0x0353, code lost:
        if (r22.getCdr() != r4) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x0357, code lost:
        if ((r3 instanceof gnu.expr.Expression) == false) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:107:0x0359, code lost:
        r31 = gnu.lists.LList.Empty;
     */
    /* JADX WARN: Code restructure failed: missing block: B:108:0x035b, code lost:
        r18 = r19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x035d, code lost:
        r18 = r18 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x035f, code lost:
        if (r18 < 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x0361, code lost:
        r22 = r27[r18];
        r31 = kawa.lang.Translator.makePair(r22, r22.getCar(), r31);
     */
    /* JADX WARN: Code restructure failed: missing block: B:112:0x0370, code lost:
        r22 = (gnu.lists.Pair) r22.getCdr();
        r18 = r19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x0379, code lost:
        r31 = r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:115:0x037e, code lost:
        if ((r3 instanceof gnu.expr.Expression) == false) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:116:0x0380, code lost:
        r11 = new gnu.expr.Expression[2];
        r11[1] = (gnu.expr.Expression) r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:117:0x038b, code lost:
        if (r18 != 1) goto L46;
     */
    /* JADX WARN: Code restructure failed: missing block: B:118:0x038d, code lost:
        r11[0] = leaf(r39.getCar(), r43);
     */
    /* JADX WARN: Code restructure failed: missing block: B:119:0x03a5, code lost:
        r11[0] = leaf(r31, r43);
     */
    /* JADX WARN: Code restructure failed: missing block: B:137:?, code lost:
        return new gnu.expr.ApplyExp(kawa.lang.Quote.makePairMethod, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:138:?, code lost:
        return new gnu.expr.ApplyExp(kawa.lang.Quote.appendMethod, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:139:?, code lost:
        return r31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0075, code lost:
        if (r39 != r4) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0077, code lost:
        return r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x0327, code lost:
        r22 = r39;
        r27 = new gnu.lists.Pair[20];
        r18 = 0;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    Object expand_pair(Pair list, int depth, SyntaxForm syntax, Object seen, Translator tr) {
        Object rest;
        ApplyExp rewrite_car;
        Pair pair = list;
        while (true) {
            Pair rest2 = pair;
            if (expandColonForms() && pair == list && tr.matches(pair.getCar(), syntax, LispLanguage.lookup_sym) && (pair.getCdr() instanceof Pair)) {
                Pair p1 = (Pair) pair.getCdr();
                if (p1 instanceof Pair) {
                    Pair p2 = (Pair) p1.getCdr();
                    if ((p2 instanceof Pair) && p2.getCdr() == LList.Empty) {
                        Expression part1 = tr.rewrite_car(p1, false);
                        Expression part2 = tr.rewrite_car(p2, false);
                        Namespace ns = tr.namespaceResolvePrefix(part1);
                        Symbol sym = tr.namespaceResolve(ns, part2);
                        if (sym != null) {
                            rest = rest2;
                            rewrite_car = sym;
                        } else if (ns != null && depth == 1) {
                            rest = rest2;
                            rewrite_car = new ApplyExp(quoteType.getDeclaredMethod("makeSymbol", 2), QuoteExp.getInstance(ns), part2);
                        } else if ((part1 instanceof ReferenceExp) && (part2 instanceof QuoteExp)) {
                            rest = rest2;
                            rewrite_car = tr.getGlobalEnvironment().getSymbol(((ReferenceExp) part1).getName() + ':' + ((QuoteExp) part2).getValue().toString());
                        } else {
                            String combinedName = CompileNamedPart.combineName(part1, part2);
                            if (combinedName != null) {
                                rest = rest2;
                                rewrite_car = tr.getGlobalEnvironment().getSymbol(combinedName);
                            } else {
                                Object save = tr.pushPositionOf(pair);
                                tr.error('e', "'" + p1.getCar() + "' is not a valid prefix");
                                tr.popPositionOf(save);
                                rest = rest2;
                                rewrite_car = sym;
                            }
                        }
                    }
                }
            }
            if (depth >= 0) {
                if (tr.matches(pair.getCar(), syntax, LispLanguage.quasiquote_sym)) {
                    depth++;
                } else if (tr.matches(pair.getCar(), syntax, LispLanguage.unquote_sym)) {
                    depth--;
                    if (!(pair.getCdr() instanceof Pair)) {
                        break;
                    }
                    Pair pair_cdr = (Pair) pair.getCdr();
                    if (pair_cdr.getCdr() == LList.Empty) {
                        if (depth == 0) {
                            rest = rest2;
                            rewrite_car = tr.rewrite_car(pair_cdr, syntax);
                            break;
                        }
                    } else {
                        break;
                    }
                } else if (tr.matches(pair.getCar(), syntax, LispLanguage.unquotesplicing_sym)) {
                    return tr.syntaxError("invalid used of " + pair.getCar() + " in quasiquote template");
                }
            }
            if (depth == 1 && (pair.getCar() instanceof Pair)) {
                Object form = pair.getCar();
                SyntaxForm subsyntax = syntax;
                while (form instanceof SyntaxForm) {
                    subsyntax = (SyntaxForm) form;
                    form = subsyntax.getDatum();
                }
                int splicing = -1;
                if (form instanceof Pair) {
                    Object op = ((Pair) form).getCar();
                    if (tr.matches(op, subsyntax, LispLanguage.unquote_sym)) {
                        splicing = 0;
                    } else if (tr.matches(op, subsyntax, LispLanguage.unquotesplicing_sym)) {
                        splicing = 1;
                    }
                }
                if (splicing >= 0) {
                    Object form2 = ((Pair) form).getCdr();
                    Vector vec = new Vector();
                    while (true) {
                        if (form2 instanceof SyntaxForm) {
                            subsyntax = (SyntaxForm) form2;
                            form2 = subsyntax.getDatum();
                        }
                        if (form2 != LList.Empty) {
                            if (form2 instanceof Pair) {
                                vec.addElement(tr.rewrite_car((Pair) form2, subsyntax));
                                form2 = ((Pair) form2).getCdr();
                            } else {
                                return tr.syntaxError("improper list argument to unquote");
                            }
                        } else {
                            int nargs = vec.size() + 1;
                            Object cdr = expand(pair.getCdr(), 1, syntax, seen, tr);
                            if (nargs > 1) {
                                Expression[] args = new Expression[nargs];
                                vec.copyInto(args);
                                args[nargs - 1] = coerceExpression(cdr, tr);
                                Method method = splicing == 0 ? consXMethod : appendMethod;
                                cdr = new ApplyExp(method, args);
                            }
                            rest = pair;
                            rewrite_car = cdr;
                        }
                    }
                }
            }
            Object car = expand(pair.getCar(), depth, syntax, seen, tr);
            if (car == pair.getCar()) {
                rest = pair.getCdr();
                if (rest instanceof Pair) {
                    pair = (Pair) rest;
                } else {
                    rewrite_car = expand(rest, depth, syntax, seen, tr);
                    break;
                }
            } else {
                Object cdr2 = expand(pair.getCdr(), depth, syntax, seen, tr);
                if ((car instanceof Expression) || (cdr2 instanceof Expression)) {
                    rest = rest2;
                    rewrite_car = new ApplyExp(makePairMethod, coerceExpression(car, tr), coerceExpression(cdr2, tr));
                } else {
                    rest = rest2;
                    rewrite_car = Translator.makePair(pair, car, cdr2);
                }
            }
        }
        return tr.syntaxError("invalid used of " + pair.getCar() + " in quasiquote template");
    }

    /* JADX WARN: Removed duplicated region for block: B:41:0x0109  */
    /* JADX WARN: Removed duplicated region for block: B:78:0x010b A[SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    Object expand(Object template, int depth, SyntaxForm syntax, Object seen, Translator tr) {
        Object old;
        Object applyExp;
        IdentityHashMap map = (IdentityHashMap) seen;
        Object old2 = map.get(template);
        if (old2 == WORKING) {
            map.put(template, CYCLE);
            return old2;
        } else if (old2 != CYCLE && old2 == null) {
            if (template instanceof Pair) {
                Object result = expand_pair((Pair) template, depth, syntax, seen, tr);
                old = result;
            } else if (template instanceof SyntaxForm) {
                SyntaxForm syntax2 = (SyntaxForm) template;
                Object result2 = expand(syntax2.getDatum(), depth, syntax2, seen, tr);
                old = result2;
            } else if (template instanceof FVector) {
                FVector vector = (FVector) template;
                int n = vector.size();
                Object[] buffer = new Object[n];
                byte[] state = new byte[n];
                byte max_state = 0;
                for (int i = 0; i < n; i++) {
                    Object element = vector.get(i);
                    int element_depth = depth;
                    if ((element instanceof Pair) && depth > -1) {
                        Pair pair = (Pair) element;
                        if (tr.matches(pair.getCar(), syntax, LispLanguage.unquotesplicing_sym) && element_depth - 1 == 0) {
                            if (pair.getCdr() instanceof Pair) {
                                Pair pair_cdr = (Pair) pair.getCdr();
                                if (pair_cdr.getCdr() == LList.Empty) {
                                    buffer[i] = tr.rewrite_car(pair_cdr, syntax);
                                    state[i] = 3;
                                    if (state[i] <= max_state) {
                                        max_state = state[i];
                                    }
                                }
                            }
                            return tr.syntaxError("invalid used of " + pair.getCar() + " in quasiquote template");
                        }
                    }
                    buffer[i] = expand(element, element_depth, syntax, seen, tr);
                    if (buffer[i] == element) {
                        state[i] = 0;
                    } else if (buffer[i] instanceof Expression) {
                        state[i] = 2;
                    } else {
                        state[i] = 1;
                    }
                    if (state[i] <= max_state) {
                    }
                }
                if (max_state == 0) {
                    applyExp = vector;
                } else if (max_state == 1) {
                    applyExp = new FVector(buffer);
                } else {
                    Expression[] args = new Expression[n];
                    for (int i2 = 0; i2 < n; i2++) {
                        if (state[i2] == 3) {
                            args[i2] = (Expression) buffer[i2];
                        } else if (max_state < 3) {
                            args[i2] = coerceExpression(buffer[i2], tr);
                        } else if (state[i2] < 2) {
                            Object[] arg1 = {buffer[i2]};
                            args[i2] = leaf(new FVector(arg1), tr);
                        } else {
                            Expression[] arg12 = {(Expression) buffer[i2]};
                            args[i2] = makeInvokeMakeVector(arg12);
                        }
                    }
                    if (max_state < 3) {
                        applyExp = makeInvokeMakeVector(args);
                    } else {
                        applyExp = new ApplyExp(vectorAppendMethod, args);
                    }
                }
                old = applyExp;
            } else {
                old = template;
            }
            if (template != old && map.get(template) == CYCLE) {
                tr.error('e', "cycle in non-literal data");
            }
            map.put(template, old);
            return old;
        } else {
            return old2;
        }
    }

    private static ApplyExp makeInvokeMakeVector(Expression[] args) {
        return new ApplyExp(makeVectorMethod, args);
    }

    @Override // kawa.lang.Syntax
    public Expression rewrite(Object obj, Translator tr) {
        if (obj instanceof Pair) {
            Pair pair = (Pair) obj;
            if (pair.getCdr() == LList.Empty) {
                return coerceExpression(expand(pair.getCar(), this.isQuasi ? 1 : -1, tr), tr);
            }
        }
        return tr.syntaxError("wrong number of arguments to quote");
    }

    public static Object append$V(Object[] args) {
        Pair pair;
        int count = args.length;
        if (count == 0) {
            return LList.Empty;
        }
        Pair result = args[count - 1];
        int i = count - 1;
        while (true) {
            Object obj = result;
            i--;
            if (i >= 0) {
                Object list = args[i];
                Pair last = null;
                SyntaxForm syntax = null;
                result = null;
                while (true) {
                    if (list instanceof SyntaxForm) {
                        syntax = (SyntaxForm) list;
                        list = syntax.getDatum();
                    } else if (list == LList.Empty) {
                        break;
                    } else {
                        Pair list_pair = (Pair) list;
                        Object car = list_pair.getCar();
                        if (syntax != null && !(car instanceof SyntaxForm)) {
                            car = SyntaxForms.makeForm(car, syntax.getScope());
                        }
                        Pair new_pair = new Pair(car, null);
                        if (last == null) {
                            pair = new_pair;
                        } else {
                            last.setCdr(new_pair);
                            pair = result;
                        }
                        last = new_pair;
                        list = list_pair.getCdr();
                        result = pair;
                    }
                }
                if (last != null) {
                    last.setCdr(obj);
                } else {
                    result = obj;
                }
            } else {
                return obj;
            }
        }
    }
}
