package kawa.standard;

import gnu.expr.BeginExp;
import gnu.expr.Expression;
import gnu.expr.Keyword;
import gnu.expr.ScopeExp;
import gnu.lists.FString;
import gnu.lists.LList;
import gnu.lists.Pair;
import gnu.text.Options;
import java.util.Stack;
import kawa.lang.Syntax;
import kawa.lang.SyntaxForm;
import kawa.lang.Translator;
/* loaded from: classes.dex */
public class with_compile_options extends Syntax {
    public static final with_compile_options with_compile_options = new with_compile_options();

    static {
        with_compile_options.setName("with-compile-options");
    }

    @Override // kawa.lang.Syntax
    public void scanForm(Pair form, ScopeExp defs, Translator tr) {
        Stack stack = new Stack();
        Object rest = getOptions(form.getCdr(), stack, this, tr);
        if (rest != LList.Empty) {
            if (rest == form.getCdr()) {
                tr.scanBody(rest, defs, false);
                return;
            }
            Pair rest2 = new Pair(stack, tr.scanBody(rest, defs, true));
            tr.currentOptions.popOptionValues(stack);
            tr.formStack.add(Translator.makePair(form, form.getCar(), rest2));
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x003a, code lost:
        return kawa.lang.Translator.wrapSyntax(r13, r8);
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0016, code lost:
        if (r7 != false) goto L51;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0018, code lost:
        r16.error('e', "no option keyword in " + r15.getName());
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Object getOptions(Object form, Stack stack, Syntax command, Translator tr) {
        boolean seenKey = false;
        Options options = tr.currentOptions;
        SyntaxForm syntax = null;
        while (true) {
            if (!(form instanceof SyntaxForm)) {
                if (!(form instanceof Pair)) {
                    break;
                }
                Pair pair = (Pair) form;
                Object pair_car = Translator.stripSyntax(pair.getCar());
                if (!(pair_car instanceof Keyword)) {
                    break;
                }
                String key = ((Keyword) pair_car).getName();
                seenKey = true;
                Object savePos = tr.pushPositionOf(pair);
                try {
                    Object form2 = pair.getCdr();
                    while (form2 instanceof SyntaxForm) {
                        syntax = form2;
                        form2 = syntax.getDatum();
                    }
                    if (!(form2 instanceof Pair)) {
                        tr.error('e', "keyword " + key + " not followed by value");
                        return LList.Empty;
                    }
                    Pair pair2 = (Pair) form2;
                    Object value = Translator.stripSyntax(pair2.getCar());
                    form = pair2.getCdr();
                    Object oldValue = options.getLocal(key);
                    if (options.getInfo(key) == null) {
                        tr.error('w', "unknown compile option: " + key);
                        tr.popPositionOf(savePos);
                    } else {
                        if (value instanceof FString) {
                            value = value.toString();
                        } else if (!(value instanceof Boolean) && !(value instanceof Number)) {
                            value = null;
                            tr.error('e', "invalid literal value for key " + key);
                        }
                        options.set(key, value, tr.getMessages());
                        if (stack != null) {
                            stack.push(key);
                            stack.push(oldValue);
                            stack.push(value);
                        }
                    }
                } finally {
                    tr.popPositionOf(savePos);
                }
            } else {
                syntax = (SyntaxForm) form;
                form = syntax.getDatum();
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:14:0x0041 A[Catch: all -> 0x004d, TRY_ENTER, TRY_LEAVE, TryCatch #0 {all -> 0x004d, blocks: (B:7:0x0022, B:9:0x002a, B:10:0x002e, B:14:0x0041), top: B:19:0x0022 }] */
    /* JADX WARN: Removed duplicated region for block: B:9:0x002a A[Catch: all -> 0x004d, TryCatch #0 {all -> 0x004d, blocks: (B:7:0x0022, B:9:0x002a, B:10:0x002e, B:14:0x0041), top: B:19:0x0022 }] */
    @Override // kawa.lang.Syntax
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public Expression rewriteForm(Pair form, Translator tr) {
        Stack stack;
        Object rest;
        Expression result;
        BeginExp bresult;
        Object obj = form.getCdr();
        try {
            if (obj instanceof Pair) {
                Pair p = (Pair) obj;
                if (p.getCar() instanceof Stack) {
                    stack = (Stack) p.getCar();
                    rest = p.getCdr();
                    tr.currentOptions.pushOptionValues(stack);
                    result = tr.rewrite_body(rest);
                    if (!(result instanceof BeginExp)) {
                        bresult = (BeginExp) result;
                    } else {
                        bresult = new BeginExp(new Expression[]{result});
                    }
                    bresult.setCompileOptions(stack);
                    return bresult;
                }
            }
            result = tr.rewrite_body(rest);
            if (!(result instanceof BeginExp)) {
            }
            bresult.setCompileOptions(stack);
            return bresult;
        } finally {
            tr.currentOptions.popOptionValues(stack);
        }
        stack = new Stack();
        rest = getOptions(obj, stack, this, tr);
    }
}
